Package: org.codehaus.groovy.runtime.powerassert

## [Java] Class SourceTextNotAvailableException

- org.codehaus.groovy.runtime.powerassert.SourceTextNotAvailableException

-     public class SourceTextNotAvailableException
      extends RuntimeException

  Indicates that the source text for an assertion statement is not available.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `SourceTextNotAvailableException(AssertStatement stat, SourceUnit unit, String msg)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RuntimeException` | `addSuppressed, equals, fillInStackTrace, getCause, getClass, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, hashCode, initCause, notify, notifyAll, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public SourceTextNotAvailableException(AssertStatement stat, SourceUnit unit, String msg)